<template>
    <div>
        <h2>Увійти</h2>
        <form>
            <label for="username">Ім'я користувача:</label>
            <input type="text" v-model="username" required />

            <label for="password">Пароль:</label>
            <input type="password" v-model="password" required />

            <button @click="onLogin">Увійти</button>
        </form>
    </div>
</template>

<script>
export default {
    name: 'SignInView',
    data() {
        return {
            username: '',
            password: '',
        };
    },
    methods: {
        onLogin() {
            window.username = this.username
            if (this.$route.query.redirect)
                this.$router.push({
                    path: this.$route.query.redirect,
                })
            else this.$router.push({ path: '/' })
        }
    },
};
</script>

<style scoped></style>
